> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RFPs



## OpenAPI

````yaml /openapi/storefront.yaml get /api/v2/storefront/rfps
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/rfps:
    get:
      tags:
        - Demand Inbox
      summary: RFPs
      operationId: getStorefrontRfps
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            default: 25
            type: integer
            minimum: 1
            maximum: 200
        - name: purpose
          in: query
          required: false
          schema:
            type: string
            enum:
              - live
              - evaluation
              - draft
        - name: result
          in: query
          required: false
          schema:
            type: string
            enum:
              - pending
              - closed_won
              - closed_lost
        - name: q
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              minLength: 5
                            storefrontId:
                              type: integer
                              exclusiveMinimum: 0
                              maximum: 9007199254740991
                            origin:
                              type: string
                              enum:
                                - adcp
                                - manual
                                - imported
                                - starter
                            purpose:
                              type: string
                              enum:
                                - live
                                - evaluation
                                - draft
                            buyerCustomerId:
                              anyOf:
                                - type: integer
                                  exclusiveMinimum: 0
                                  maximum: 9007199254740991
                                - type: 'null'
                            buyerLabel:
                              type:
                                - string
                                - 'null'
                            advertiserLabel:
                              type:
                                - string
                                - 'null'
                            brandDomain:
                              type:
                                - string
                                - 'null'
                            brief:
                              type: string
                            request:
                              type: object
                              properties:
                                brief:
                                  type: string
                                  minLength: 1
                                budget:
                                  type: string
                                  pattern: ^-?\d+(\.\d{1,6})?$
                                currency:
                                  type: string
                                  pattern: ^[A-Z]{3}$
                                flight:
                                  type: object
                                  properties:
                                    startAt:
                                      type: string
                                      format: date-time
                                      pattern: >-
                                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                    endAt:
                                      type: string
                                      format: date-time
                                      pattern: >-
                                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                  required:
                                    - startAt
                                    - endAt
                                  additionalProperties: false
                                channels:
                                  type: array
                                  items:
                                    type: string
                                    enum:
                                      - display
                                      - olv
                                      - social
                                      - search
                                      - ctv
                                      - linear_tv
                                      - radio
                                      - streaming_audio
                                      - podcast
                                      - dooh
                                      - ooh
                                      - print
                                      - cinema
                                      - email
                                      - gaming
                                      - retail_media
                                      - influencer
                                      - affiliate
                                      - product_placement
                                      - sponsored_intelligence
                                formatKinds:
                                  type: array
                                  items:
                                    type: string
                                    enum:
                                      - image
                                      - html5
                                      - display_tag
                                      - image_carousel
                                      - video_hosted
                                      - video_vast
                                      - audio_hosted
                                      - audio_daast
                                      - sponsored_placement
                                      - native_in_feed
                                      - responsive_creative
                                      - agent_placement
                                      - custom
                                countries:
                                  type: array
                                  items:
                                    type: string
                                    pattern: ^[A-Z]{2}$
                                constraints:
                                  type: array
                                  items:
                                    type: string
                                productCount:
                                  type: integer
                                  exclusiveMinimum: 0
                                  maximum: 9007199254740991
                                planRoles:
                                  type: array
                                  items:
                                    type: string
                                measurementRequirements:
                                  type: array
                                  items:
                                    type: string
                                instruction:
                                  type: string
                              required:
                                - brief
                              additionalProperties: false
                            strategy:
                              anyOf:
                                - type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                                - type: 'null'
                            endorsed:
                              type: boolean
                            endorsementCommentary:
                              type:
                                - string
                                - 'null'
                            commercialResult:
                              type: string
                              enum:
                                - pending
                                - closed_won
                                - closed_lost
                            grade:
                              anyOf:
                                - type: string
                                  enum:
                                    - A
                                    - B
                                    - C
                                    - D
                                    - E
                                    - F
                                - type: 'null'
                            ledBy:
                              anyOf:
                                - type: string
                                  enum:
                                    - agent
                                    - human
                                - type: 'null'
                            bookedAmount:
                              anyOf:
                                - type: string
                                  pattern: ^-?\d+(\.\d{1,6})?$
                                - type: 'null'
                            createdAt:
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                            updatedAt:
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                          required:
                            - id
                            - storefrontId
                            - origin
                            - purpose
                            - buyerCustomerId
                            - buyerLabel
                            - advertiserLabel
                            - brandDomain
                            - brief
                            - request
                            - strategy
                            - endorsed
                            - endorsementCommentary
                            - commercialResult
                            - grade
                            - ledBy
                            - bookedAmount
                            - createdAt
                            - updatedAt
                          additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                  meta:
                    type: object
                    properties:
                      pagination:
                        anyOf:
                          - type: object
                            properties:
                              skip:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              take:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              total:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              hasMore:
                                type: boolean
                            required:
                              - skip
                              - take
                              - total
                              - hasMore
                            additionalProperties: false
                          - type: object
                            properties:
                              nextCursor:
                                type:
                                  - string
                                  - 'null'
                              hasMore:
                                type: boolean
                            required:
                              - nextCursor
                              - hasMore
                            additionalProperties: false
                          - type: object
                            properties:
                              limit:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              offset:
                                type: integer
                                minimum: -9007199254740991
                                maximum: 9007199254740991
                              nextOffset:
                                anyOf:
                                  - type: integer
                                    minimum: -9007199254740991
                                    maximum: 9007199254740991
                                  - type: 'null'
                            required:
                              - limit
                              - offset
                              - nextOffset
                            additionalProperties: false
                    additionalProperties: false
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````